GNUNET-SETUP(1)

NAME
gnunet-setup - a gtk interface for configuring GNUnet

SYNOPSIS
gnunet-setup [OPTIONS]

DESCRIPTION

gnunet-setup is a gtk+ based GUI for configuring GNUnet. The first time you run gnunet-setup, the goal will typically be to configure the peer, that is, the set of processes that always run in the background. Those processes should run as user "gnunet" and thus gnunet-setup should be run as user "gnunet" for this step. Use the "-e" option to enable automatic privilege escalation using gksu (if supported by your system). Alternatively, you can of course run gnunet-setup from the "gnunet" system user account or even as "root". If you see a tab "General", you did start gnunet-setup correctly to configure the peer. You should now be able to configure which subsystems of GNUnet you want to enable, which databases to use and what your network configuration looks like. After these steps are complete, you should be able to start your peer using "gnunet-arm". It is recommended that "/etc/gnunet.conf" should be a world-readable copy of the peer's GNUnet configuration. Note that GNUnet configuration files (as generated by gnunet-setup) only contain those values that differ from the defaults. Also note that "gnunet-arm" will by default look for a configuration in "$HOME/.config/gnunet.conf" (or, "$XDG_CONFIG_DIR/gnunet.conf" if "$XDG_CONFIG_DIR" is set); thus, if your configuration is in "/etc/gnunet.conf", you have to pass "-c /etc/gnunet.conf" to gnunet-arm or set "$XDG_CONFIG_DIR" to "/etc/".

-c FILENAME, --config=FILENAME
    load config file (default: ~/.config/gnunet.conf)

-e, --elevate-privileges
    Try to elevate privileges to run gnunet-setup as user "gnunet". This option is only available if libgksu-support was found on your system. It is ignored if gnunet-setup is run as user "root" or "gnunet" already. If "gksu" fails, gnunet]-setup is run as the current user.

-h, --help
    print help page

-v, --version
    print the version number

NOTES

Many options in gnunet-setup are documented online. Access the online help by first selecting the respective widget and then clicking on the link at the bottom of the dialog.

Exiting gnunet-setup (by closing the window or pressing ESCape) always saves the current configuration to disk.

FILES

~/.config/gnunet.conf
    User's GNUnet configuration file

REPORTING BUGS
Report bugs by using mantis <https://bugs.gnunet.org/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-arm(1), gnunet.conf(5)